Extending Qt Creator Manual | SimpleCodeStylePreferences

Extending Qt Creator Manual 4.5.2

# SimpleCodeStylePreferences Class

(TextEditor::SimpleCodeStylePreferences)

Inherits: | TextEditor::ICodeStylePreferences

- List of all members, including inherited members

## Public Functions

| SimpleCodeStylePreferences(QObject *parentObject = 0)

## Reimplemented Public Functions

virtual void | setValue(const QVariant &)
virtual QVariant | value() const

- 23 public functions inherited from TextEditor::ICodeStylePreferences

## Reimplemented Protected Functions

virtual QString | settingsSuffix() const

- 1 protected function inherited from TextEditor::ICodeStylePreferences

### Additional Inherited Members

- 1 property inherited from TextEditor::ICodeStylePreferences
- 7 signals inherited from TextEditor::ICodeStylePreferences
- 1 protected function inherited from TextEditor::ICodeStylePreferences

## Member Function Documentation

### SimpleCodeStylePreferences::SimpleCodeStylePreferences(QObject *parentObject = 0)

Default constructs an instance of SimpleCodeStylePreferences.

### `[virtual]` void SimpleCodeStylePreferences::setValue(const QVariant &)

See also value().

### `[virtual protected]` QString SimpleCodeStylePreferences::settingsSuffix() const

### `[virtual]` QVariant SimpleCodeStylePreferences::value() const

See also setValue().